import * as prompts from "@clack/prompts";
import { filterPromptCancel } from "../prompts.js";
async function getPrefillOrPromptedOption(existingValue, message, getPlaceholder) {
  if (existingValue) {
    return existingValue;
  }
  const value = filterPromptCancel(
    await prompts.text({
      message,
      placeholder: await getPlaceholder?.(),
      validate: (val) => {
        if (val.length === 0) {
          return "Please enter a value.";
        }
      }
    })
  );
  return value;
}
export {
  getPrefillOrPromptedOption
};
//# sourceMappingURL=getPrefillOrPromptedOption.js.map