import { $ } from "execa";
import {
  getExistingEquivalentLabels
} from "./getExistingEquivalentLabels.js";
import { outcomeLabels } from "./outcomeLabels.js";
async function initializeRepositoryLabels() {
  const existingLabels = JSON.parse(
    (await $`gh label list --json color,description,name`).stdout || "[]"
  );
  for (const outcome of outcomeLabels) {
    const existingEquivalents = getExistingEquivalentLabels(
      existingLabels,
      outcome.name
    );
    if (!existingEquivalents.length) {
      await $`gh label create ${outcome.name} --color ${outcome.color} --description ${outcome.description}`;
      continue;
    }
    for (const existingEquivalent of existingEquivalents) {
      if (existingEquivalent.name !== outcome.name && existingLabels.some((existing) => existing.name === outcome.name)) {
        await $`gh label delete ${existingEquivalent.name} --yes`;
        continue;
      }
      if (outcome.color !== existingEquivalent.color || outcome.description !== existingEquivalent.description || outcome.name !== existingEquivalent.name) {
        await $`gh label edit ${existingEquivalent.name} --color ${outcome.color} --description ${outcome.description} --name ${outcome.name}`;
      }
    }
  }
}
export {
  initializeRepositoryLabels
};
//# sourceMappingURL=initializeRepositoryLabels.js.map